{
  "type": "project",
  "license": "proprietary",
  "minimum-stability": "stable",
  "prefer-stable": true,
  "require": {
    "php": ">=8.2",
    "ext-ctype": "*",
    "ext-iconv": "*",
    "api-platform/core": "^4.1",
    "doctrine/dbal": "^3.9",
    "doctrine/doctrine-bundle": "^2.13",
    "doctrine/doctrine-migrations-bundle": "^3.4",
    "doctrine/orm": "^3.3",
    "easycorp/easyadmin-bundle": "^4.26",
    "nelmio/cors-bundle": "^2.2",
    "phpdocumentor/reflection-docblock": "^5.3",
    "phpstan/phpdoc-parser": "^1.16",
    "symfony/asset": "7.3.*",
    "symfony/console": "7.3.*",
    "symfony/doctrine-messenger": "7.3.*",
    "symfony/dotenv": "7.3.*",
    "symfony/error-handler": "7.3.*",
    "symfony/expression-language": "7.3.*",
    "symfony/flex": "^1.3.1",
    "symfony/framework-bundle": "7.3.*",
    "symfony/http-client": "7.3.*",
    "symfony/intl": "7.3.*",
    "symfony/lock": "7.3.*",
    "symfony/mailer": "7.3.*",
    "symfony/mercure": "^0.6.1",
    "symfony/mercure-bundle": "^0.3.4",
    "symfony/messenger": "7.3.*",
    "symfony/monolog-bundle": "^3.7",
    "symfony/property-access": "7.3.*",
    "symfony/property-info": "7.3.*",
    "symfony/runtime": "7.3.*",
    "symfony/security-bundle": "7.3.*",
    "symfony/serializer": "7.3.*",
    "symfony/translation": "7.3.*",
    "symfony/twig-bundle": "7.3.*",
    "symfony/uid": "7.3.*",
    "symfony/validator": "7.3.*",
    "symfony/yaml": "7.3.*"
  },
  "require-dev": {
    "phpstan/extension-installer": "^1.2",
    "phpstan/phpstan": "^2.1",
    "phpstan/phpstan-deprecation-rules": "^2.0",
    "phpstan/phpstan-doctrine": "^2.0",
    "phpstan/phpstan-phpunit": "^2.0",
    "phpstan/phpstan-symfony": "^2.0",
    "phpunit/phpunit": "^9.6",
    "symfony/browser-kit": "7.3.*",
    "symfony/css-selector": "7.3.*",
    "symfony/debug-bundle": "7.3.*",
    "symfony/maker-bundle": "^1.48",
    "symfony/phpunit-bridge": "7.3.*",
    "symfony/stopwatch": "7.3.*",
    "symfony/web-profiler-bundle": "7.3.*"
  },
  "config": {
      "allow-plugins": {
          "composer/package-versions-deprecated": true,
          "symfony/flex": true,
          "symfony/runtime": true,
          "phpstan/extension-installer": true
      },
      "optimize-autoloader": true,
      "preferred-install": {
          "*": "dist"
      },
      "sort-packages": true
  },
  "autoload": {
      "psr-4": {
          "App\\": "src/"
      }
  },
  "autoload-dev": {
    "psr-4": {
      "App\\Tests\\": "tests/"
    }
  },
  "replace": {
      "symfony/polyfill-ctype": "*",
      "symfony/polyfill-iconv": "*",
      "symfony/polyfill-php72": "*",
      "symfony/polyfill-php73": "*",
      "symfony/polyfill-php74": "*",
      "symfony/polyfill-php80": "*"
  },
  "scripts": {
      "auto-scripts": {
          "cache:clear": "symfony-cmd",
          "assets:install %PUBLIC_DIR%": "symfony-cmd"
      },
      "post-install-cmd": [
          "@auto-scripts"
      ],
      "post-update-cmd": [
          "@auto-scripts"
      ]
  },
  "conflict": {
      "symfony/symfony": "*"
  },
  "extra": {
      "symfony": {
          "allow-contrib": false,
          "require": "7.3.*"
      }
  },
  "phpstan": {
    "includes": [
      "extension.neon"
    ]
  }
}
